package fr.lri.iasi.libs.formallogic;

/**
* The logic formula builder. (Builder Pattern)
* 
* @author Andre Fonseca
* 
* @param <F> the type of the element to be generated by the builder.
*/
public interface FormulaBuilder<F extends Formula<F>> {

	/**
	 * Returns the built formula
	 * @return the new instance
	 */
	F create();

}
